/** Filter out wanted items from an array. */
declare function exclude<ValueType>(array: ReadonlyArray<ValueType>, items: ReadonlyArray<ValueType>): Exclude<ReadonlyArray<ValueType>, ValueType>;
/** Filter out unwanted items from an array. */
declare function extract<ValueType>(array: ReadonlyArray<ValueType>, items: ReadonlyArray<ValueType>): Extract<ReadonlyArray<ValueType>, ValueType>;

export { exclude, extract };
