'use strict';

var zod = require('zod');
var builtIn = require('@terminal-nerds/snippets-type/built-in');

var U=["signed","unsigned"],u=builtIn.BUILT_IN_OBJECTS_SCHEMAS.BigInt64Array,R=builtIn.BUILT_IN_OBJECTS_SCHEMAS.BigUint64Array,d={signed:u,unsigned:R};function H(e,r){let{type:t}=r;d[t].parse(e);}function b(e,r){let{type:t}=r;return d[t].safeParse(e).success}var I=o.length(0);function w(e){I.parse(e);}function P(e){return i(e),I.safeParse(e).success}var z=[32,64],_=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Float32Array,l=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Float64Array,x={32:_,64:l};function D(e,r){let{bit:t}=r;x[t].parse(e);}function j(e,r){let{bit:t}=r;return x[t].safeParse(e).success}var V=["signed","unsigned"],W=[8,16,32],X=["clamped","standard"],E=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Int8Array,f=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Int16Array,C=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Int32Array,m={8:{standard:E},16:{standard:f},32:{standard:C}},S=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Uint8Array,Y=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Uint8ClampedArray,O=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Uint16Array,F=builtIn.BUILT_IN_OBJECTS_SCHEMAS.Uint32Array,M={8:{standard:S,clamped:Y},16:{standard:O},32:{standard:F}},y={signed:m,unsigned:M};function T(e){return e==="unsigned"}function B(e){return e===8}function Z(e,r){let{type:t,bit:n}=r;if(T(t)&&B(n)){let{clamped:A=!1}=r;y[t][n][A?"clamped":"standard"].parse(e);}else y[t][n].standard.parse(e);}function $(e,r){let{type:t,bit:n}=r;if(T(t)&&B(n)){let{clamped:A=!1}=r;return y[t][n][A?"clamped":"standard"].safeParse(e).success}else return y[t][n].standard.safeParse(e).success}var o=zod.z.array(zod.z.any());function i(e){o.parse(e);}function ne(...e){for(let r of e)i(r);}

exports.ARRAY_SCHEMA = o;
exports.BIGINT64_ARRAY_SCHEMA = u;
exports.BIGINT_ARRAY_SCHEMAS = d;
exports.BIGINT_ARRAY_TYPES = U;
exports.BIGUINT64_ARRAY_SCHEMA = R;
exports.EMPTY_ARRAY_SCHEMA = I;
exports.FLOAT32_ARRAY_SCHEMA = _;
exports.FLOAT64_ARRAY_SCHEMA = l;
exports.FLOAT_ARRAY_BITS = z;
exports.FLOAT_ARRAY_SCHEMAS = x;
exports.INT16_ARRAY_SCHEMA = f;
exports.INT32_ARRAY_SCHEMA = C;
exports.INT8_ARRAY_SCHEMA = E;
exports.INTEGER_ARRAY_BITS = W;
exports.INTEGER_ARRAY_CATEGORIES = X;
exports.INTEGER_ARRAY_SCHEMAS = y;
exports.INTEGER_ARRAY_TYPES = V;
exports.INT_ARRAY_SCHEMAS = m;
exports.UINT16_ARRAY_SCHEMA = O;
exports.UINT32_ARRAY_SCHEMA = F;
exports.UINT8_ARRAY_SCHEMA = S;
exports.UINT8_CLAMPED_ARRAY_SCHEMA = Y;
exports.UINT_ARRAY_SCHEMAS = M;
exports.is8Bit = B;
exports.isBigIntArray = b;
exports.isEmptyArray = P;
exports.isFloatArray = j;
exports.isIntegerArray = $;
exports.isUnsigned = T;
exports.validateArray = i;
exports.validateArrays = ne;
exports.validateBigIntArray = H;
exports.validateEmptyArray = w;
exports.validateFloatArray = D;
exports.validateIntegerArray = Z;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=schema.cjs.map